
Ruby - Bug #6431

Segmentation Fault When Using RightAWS with Delayed Job To Connect to Amazon S3

05/14/2012 07:32 AM - vidya333 (Vidya LLC)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3p194 (2012-04-20 revision

35410)

Backport:  

Description

When using RightAWS to connect to S3 within a Delayed Job background task, a segmentation fault occurs. Here is the stack trace:

Opening new HTTPS connection to s3.amazonaws.com:443

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:799: [BUG] Segmentation fault

ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-darwin11.3.0]

-- Control frame information -----------------------------------------------

c:0070 p:---- s:0289 b:0289 l:000288 d:000288 CFUNC  :connect

c:0069 p:0011 s:0286 b:0286 l:0015a0 d:000285 BLOCK  /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:799

c:0068 p:0111 s:0284 b:0284 l:000dd0 d:000dd0 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb:68

c:0067 p:0026 s:0272 b:0272 l:000271 d:000271 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb:99

c:0066 p:0485 s:0266 b:0266 l:0015a0 d:0015a0 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:799

c:0065 p:0011 s:0258 b:0258 l:000257 d:000257 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:755

c:0064 p:0089 s:0255 b:0255 l:000254 d:000254 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:750

c:0063 p:0408 s:0252 b:0252 l:001480 d:001480 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:329

c:0062 p:0350 s:0246 b:0246 l:000232 d:000245 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:392

c:0061 p:---- s:0238 b:0238 l:000237 d:000237 FINISH

c:0060 p:---- s:0236 b:0236 l:000235 d:000235 CFUNC  :loop

c:0059 p:0065 s:0233 b:0233 l:000232 d:000232 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:364

c:0058 p:0016 s:0225 b:0225 l:0008f8 d:000224 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/awsbase/right_awsbase.rb:542

c:0057 p:0043 s:0222 b:0222 l:000221 d:000221 METHOD

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/benchmark.rb:280

c:0056 p:0019 s:0214 b:0214 l:000213 d:000213 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/awsbase/benchmark_fix.rb:30

c:0055 p:0106 s:0209 b:0209 l:0008f8 d:0008f8 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/awsbase/right_awsbase.rb:540

c:0054 p:0021 s:0198 b:0198 l:000197 d:000197 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3_interface.rb:203

c:0053 p:0064 s:0192 b:0192 l:000191 d:000191 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3_interface.rb:216

c:0052 p:0013 s:0187 b:0187 l:000186 d:000186 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3.rb:74

c:0051 p:0070 s:0184 b:0184 l:000183 d:000183 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3.rb:106

c:0050 p:0073 s:0175 b:0175 l:000174 d:000174 METHOD

/Users/Vidya/Vidya/applications/rails/ninaday/app/classes/visual_processor.rb:41

c:0049 p:0026 s:0169 b:0169 l:000168 d:000168 METHOD

/Users/Vidya/Vidya/applications/rails/ninaday/app/classes/visual_processor.rb:6

c:0048 p:0042 s:0163 b:0163 l:000162 d:000162 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/performable_method.rb:20

c:0047 p:0029 s:0160 b:0160 l:000159 d:000159 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/backend/base.rb:87

c:0046 p:0011 s:0156 b:0156 l:000cf0 d:000155 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:120

c:0045 p:0111 s:0154 b:0154 l:000e50 d:000e50 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb:68

c:0044 p:0034 s:0142 b:0142 l:000cf0 d:000d58 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:120
c:0043 p:0024 s:0140 b:0140 l:000139 d:000139 METHOD

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/benchmark.rb:295

c:0042 p:0017 s:0136 b:0136 l:000cf0 d:000cf0 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:119

c:0041 p:0039 s:0130 b:0130 l:000129 d:000129 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:177

c:0040 p:0009 s:0126 b:0126 l:000118 d:000125 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:104

c:0039 p:---- s:0124 b:0124 l:000123 d:000123 FINISH

c:0038 p:---- s:0122 b:0122 l:000121 d:000121 CFUNC  :times

c:0037 p:0026 s:0119 b:0119 l:000118 d:000118 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:103

c:0036 p:0009 s:0113 b:0113 l:0005a8 d:000112 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:78

c:0035 p:0024 s:0111 b:0111 l:000110 d:000110 METHOD

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/benchmark.rb:295

c:0034 p:0021 s:0107 b:0107 l:0005a8 d:000106 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:77

c:0033 p:---- s:0102 b:0102 l:000101 d:000101 FINISH

c:0032 p:---- s:0100 b:0100 l:000099 d:000099 CFUNC  :loop

c:0031 p:0047 s:0097 b:0097 l:0005a8 d:0005a8 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:74

c:0030 p:0055 s:0094 b:0094 l:000fa8 d:000093 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/tasks.rb:9

c:0029 p:---- s:0092 b:0092 l:000091 d:000091 FINISH

c:0028 p:---- s:0090 b:0090 l:000089 d:000089 CFUNC  :call

c:0027 p:0043 s:0085 b:0085 l:000076 d:000084 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:205

c:0026 p:---- s:0082 b:0082 l:000081 d:000081 FINISH

c:0025 p:---- s:0080 b:0080 l:000079 d:000079 CFUNC  :each

c:0024 p:0173 s:0077 b:0077 l:000076 d:000076 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:200

c:0023 p:0111 s:0073 b:0073 l:000067 d:000072 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:158

c:0022 p:0019 s:0071 b:0071 l:000070 d:000070 METHOD /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/monitor.rb:211

c:0021 p:0033 s:0068 b:0068 l:000067 d:000067 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:151

c:0020 p:0048 s:0061 b:0061 l:000060 d:000060 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:144

c:0019 p:0045 s:0056 b:0056 l:000055 d:000055 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:116

c:0018 p:0012 s:0049 b:0049 l:000034 d:000048 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94

c:0017 p:---- s:0046 b:0046 l:000045 d:000045 FINISH

c:0016 p:---- s:0044 b:0044 l:000043 d:000043 CFUNC  :each

c:0015 p:0069 s:0041 b:0041 l:000034 d:000040 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94

c:0014 p:0009 s:0039 b:0039 l:000038 d:000038 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133

c:0013 p:0011 s:0035 b:0035 l:000034 d:000034 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:88

c:0012 p:0029 s:0032 b:0032 l:000025 d:000031 BLOCK 

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:66

c:0011 p:0009 s:0030 b:0030 l:000029 d:000029 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133

c:0010 p:0011 s:0026 b:0026 l:000025 d:000025 METHOD

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63

c:0009 p:0060 s:0023 b:0023 l:000022 d:000022 TOP   

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33

c:0008 p:---- s:0021 b:0021 l:000020 d:000020 FINISH

c:0007 p:---- s:0019 b:0019 l:000018 d:000018 CFUNC  :load

c:0006 p:0123 s:0015 b:0015 l:000014 d:000014 TOP    /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/bin/rake:19

c:0005 p:---- s:0012 b:0012 l:000011 d:000011 FINISH

c:0004 p:---- s:0010 b:0010 l:000009 d:000009 CFUNC  :load

c:0003 p:0051 s:0006 b:0006 l:001408 d:000098 EVAL   -e:1

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:001408 d:001408 TOP
-- Ruby level backtrace information ----------------------------------------

-e:1:in <main>' -e:1:in load'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/bin/rake:19:in <top (required)>'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/bin/rake:19:in load'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/bin/rake:33:in <top (required)>'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:63:in run'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in standard_exception_handling'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:66:in block in run'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:88:in top_level'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:133:in standard_exception_handling'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in block in top_level'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in each'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:94:in block (2 levels) in top_level'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb:116:in invoke_task'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:144:in invoke'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:151:in invoke_with_call_chain'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/monitor.rb:211:in mon_synchronize'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:158:in block in invoke_with_call_chain'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in execute'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:200:in each'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in block in execute'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb:205:in call'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/tasks.rb:9:in block (2 levels) in <top

(required)>' /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:74:in start'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:74:in loop'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:77:in block in start'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/benchmark.rb:295:in realtime'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:78:in block (2 levels) in start'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:103:in work_off'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:103:in times'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:104:in block in work_off'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:177:in reserve_and_run_one_job'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:119:in run'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/benchmark.rb:295:in realtime'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:120:in block in run'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb:68:in timeout'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/worker.rb:120:in block (2 levels) in run'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/backend/base.rb:87:in invoke_job'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/delayed_job-2.1.4/lib/delayed/performable_method.rb:20:in perform'

/Users/Vidya/Vidya/applications/rails/ninaday/app/classes/visual_processor.rb:6:in build_presentation_from'

/Users/Vidya/Vidya/applications/rails/ninaday/app/classes/visual_processor.rb:41:in get_bucket'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3.rb:106:in bucket'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3.rb:74:in buckets'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3_interface.rb:216:in list_all_my_buckets'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/s3/right_s3_interface.rb:203:in request_info'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/awsbase/right_awsbase.rb:540:in request_info_impl'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/awsbase/benchmark_fix.rb:30:in add!'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/benchmark.rb:280:in measure'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_aws-3.0.4/lib/awsbase/right_awsbase.rb:542:in block in

request_info_impl'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:364:in request'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:364:in loop'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:392:in block in

request'

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/right_http_connection-1.3.0/lib/right_http_connection.rb:329:in start'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:750:in start'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:755:in do_start'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:799:in connect'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb:99:in timeout'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb:68:in timeout'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:799:in block in connect'

/Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/net/http.rb:799:in connect'

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or

/Library/Logs/CrashReporter, for the more detail of.
-- Other runtime information -----------------------------------------------

Loaded script: /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/bin/rake

Loaded features:

0 enumerator.so

1 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/enc/encdb.bundle

2 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/enc/trans/transdb.bundle

3 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/defaults.rb

4 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/rbconfig.rb

5 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/deprecate.rb

6 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/exceptions.rb

7 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb

8 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems.rb

9 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/version.rb

10 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/requirement.rb

11 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb

12 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/platform.rb

13 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb

14 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/path_support.rb

15 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/version.rb

16 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/etc.bundle

17 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/fileutils.rb

18 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/thread.rb

19 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/singleton.rb

20 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/monitor.rb

21 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/optparse.rb

22 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/ostruct.rb

23 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/ext/core.rb

24 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/invocation_exception_mixin.rb

25 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task.rb

26 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/early_time.rb

27 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/file_task.rb

28 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/file_creation_task.rb

29 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/shellwords.rb

30 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task_manager.rb

31 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/alt_system.rb

32 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/win32.rb

33 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/application.rb

34 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/ext/module.rb

35 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/ext/string.rb

36 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/ext/time.rb

37 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task_argument_error.rb

38 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rule_recursion_overflow_error.rb

39 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/rake_module.rb

40 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/pseudo_status.rb

41 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/task_arguments.rb

42 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/invocation_chain.rb

43 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/multi_task.rb

44 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/file_utils.rb

45 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/file_utils_ext.rb

46 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/dsl_definition.rb

47 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/cloneable.rb

48 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/pathmap.rb

49 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/file_list.rb

50 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/default_loader.rb

51 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake/name_space.rb

52 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rake-0.9.2.2/lib/rake.rb

53 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/pathname.bundle

54 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/pathname.rb

55 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/config_file.rb

56 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/syntax_error.rb

57 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/psych.bundle

58 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/stringio.bundle

59 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/node.rb

60 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/stream.rb
61 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/document.rb

62 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/sequence.rb

63 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/scalar.rb

64 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/mapping.rb

65 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes/alias.rb

66 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/nodes.rb

67 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/streaming.rb

68 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors/visitor.rb

69 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/strscan.bundle

70 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/scalar_scanner.rb

71 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors/to_ruby.rb

72 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors/emitter.rb

73 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors/yaml_tree.rb

74 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/json/ruby_events.rb

75 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors/json_tree.rb

76 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors/depth_first.rb

77 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/visitors.rb

78 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/handler.rb

79 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/tree_builder.rb

80 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/parser.rb

81 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/omap.rb

82 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/set.rb

83 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/coder.rb

84 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/core_ext.rb

85 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/date_core.bundle

86 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/date/format.rb

87 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/date.rb

88 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/deprecated.rb

89 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/stream.rb

90 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/json/yaml_events.rb

91 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/json/tree_builder.rb

92 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/json/stream.rb

93 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych/handlers/document_stream.rb

94 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/psych.rb

95 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/psych_additions.rb

96 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/psych_tree.rb

97 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/yaml.rb

98 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/syck_hack.rb

99 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/rubygems_integration.rb

100 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/shared_helpers.rb

101 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/psyched_yaml.rb

102 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/gem_helpers.rb

103 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/match_platform.rb

104 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/rubygems_ext.rb

105 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/version.rb

106 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler.rb

107 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/digest.bundle

108 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/digest.rb

109 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/digest/sha1.bundle

110 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/environment.rb

111 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/runtime.rb

112 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/settings.rb

113 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/set.rb

114 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/definition.rb

115 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/dependency.rb

116 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/dsl.rb

117 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/common.rb

118 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/generic.rb

119 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/ftp.rb

120 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/http.rb

121 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/https.rb

122 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/ldap.rb

123 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/ldaps.rb

124 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri/mailto.rb

125 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/uri.rb

126 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/user_interaction.rb

127 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/f_sync_dir.rb
128 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/tar_header.rb

129 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/enc/iso_8859_1.bundle

130 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/zlib.bundle

131 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/tar_input.rb

132 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/tar_output.rb

133 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/tar_reader/entry.rb

134 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/tar_reader.rb

135 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package/tar_writer.rb

136 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/package.rb

137 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/format.rb

138 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/ext/builder.rb

139 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/ext/configure_builder.rb

140 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/command.rb

141 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/ext/ext_conf_builder.rb

142 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/ext/rake_builder.rb

143 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/ext.rb

144 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/require_paths_builder.rb

145 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb

146 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/remote_fetcher.rb

147 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/errors.rb

148 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/text.rb

149 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/spec_fetcher.rb

150 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/open3.rb

151 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/gem_installer.rb

152 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/source.rb

153 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/lockfile_parser.rb

154 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/lazy_specification.rb

155 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/tsort.rb

156 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/forwardable.rb

157 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/spec_set.rb

158 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/index.rb

159 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/remote_specification.rb

160 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/endpoint_specification.rb

161 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/dep_proxy.rb

162 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/source_index.rb

163 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/bundler-1.1.3/lib/bundler/setup.rb

164 /Users/Vidya/Vidya/applications/rails/ninaday/config/boot.rb

165 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/ruby_version_check.rb

166 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/openssl.bundle

167 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/bn.rb

168 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/cipher.rb

169 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/config.rb

170 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/digest.rb

171 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/buffering.rb

172 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/fcntl.bundle

173 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/ssl-internal.rb

174 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl/x509-internal.rb

175 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/openssl.rb

176 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/securerandom.rb

177 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/inflector/methods.rb

178 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/lazy_load_hooks.rb

179 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/dependencies/autoload.rb

180 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/version.rb

181 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support.rb

182 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/kernel/reporting.rb

183

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/array/extract_options.rb

184

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/class/attribute_accessor

s.rb

185 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/logger.rb

186 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/logger.rb

187

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/hash/reverse_merge.rb

188 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/file_update_checker.rb

189 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/initializable.rb

190 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/notifications/fanout.rb
191 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/notifications.rb

192 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/array/wrap.rb

193 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/deprecation/behaviors.rb

194 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/deprecation/reporting.rb

195

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/deprecation.rb

196 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/aliasing.rb

197

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/deprecation/method_wrappers.rb

198

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/deprecation/proxy_wrappers.rb

199 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/deprecation.rb

200 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/ordered_hash.rb

201 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/ordered_options.rb

202 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/hash/deep_dup.rb

203 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/paths.rb

204 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/rack.rb

205 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/configuration.rb

206 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/inflector/inflections.rb

207

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/attribute_access

ors.rb

208 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/multibyte/utils.rb

209 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/multibyte.rb

210 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/string/multibyte.rb

211 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/i18n-0.6.0/lib/i18n/version.rb

212 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/i18n-0.6.0/lib/i18n/exceptions.rb

213 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/i18n-0.6.0/lib/i18n/interpolate/ruby.rb

214 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/i18n-0.6.0/lib/i18n.rb

215 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/i18n-0.6.0/lib/i18n/config.rb

216 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/i18n.rb

217 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/inflector/transliterate.rb

218 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/inflections.rb

219 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/string/inflections.rb

220 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/inflector.rb

221

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/remove_method.

rb

222

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/delegation.rb

223 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/railtie.rb

224 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/engine/railties.rb

225 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/engine.rb

226 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/object/blank.rb

227 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/xml_mini/rexml.rb

228 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/xml_mini.rb

229 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/hash/keys.rb

230 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/array/conversions.rb

231 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/plugin.rb

232 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/application.rb

233 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/version.rb

234 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/concern.rb

235 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/railtie/configurable.rb

236 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/railtie/configuration.rb

237 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/i18n_railtie.rb

238 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/railtie.rb

239 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_pack/version.rb

240 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_pack.rb

241 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model/version.rb

242 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model.rb

243 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/rack-1.3.6/lib/rack.rb

244 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_dispatch.rb

245 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_dispatch/railtie.rb

246 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails.rb

247 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/basic_object.rb

248 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/object/acts_like.rb

249 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/duration.rb
250 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/object/try.rb

251 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/values/time_zone.rb

252 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/object/inclusion.rb

253 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/time_with_zone.rb

254 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/time/zones.rb

255 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/date/zones.rb

256 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/date/calculations.rb

257

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/time/publicize_conversio

n_methods.rb

258 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/time/conversions.rb

259

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/date_time/calculations.rb

260

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/date_time/conversions.r

b

261 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/enumerable.rb

262 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/process/daemon.rb

263 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/time/calculations.rb

264

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/string/conversions.rb

265 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/i18n-0.6.0/lib/i18n/core_ext/string/interpolate.rb

266

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/string/interpolation.rb

267 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/string/encoding.rb

268 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/rexml/rexml.rb

269 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/rexml.rb

270 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/file/path.rb

271

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/method_names.r

b

272 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/ruby/shim.rb

273

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/kernel/singleton_class.rb

274 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/class/attribute.rb

275

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/attr_internal.rb

276

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/anonymous.rb

277 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/abstract_controller.rb

278 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/erb.rb

279

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/string/output_safety.rb

280 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_view.rb

281 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_controller/vendor/html-scanner.rb

282 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/load_error.rb

283 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/name_error.rb

284 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/uri.rb

285 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_controller.rb

286 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_view/railtie.rb

287 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/abstract_controller/railties/routes_helpers.rb

288 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_controller/railties/paths.rb

289 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionpack-3.1.4/lib/action_controller/railtie.rb

290 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/addressable-2.2.8/lib/addressable/version.rb

291 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/addressable-2.2.8/lib/addressable/idna/pure.rb

292 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/addressable-2.2.8/lib/addressable/idna.rb

293 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/addressable-2.2.8/lib/addressable/uri.rb

294 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/x86_64-darwin11.3.0/bigdecimal.bundle

295 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/bigdecimal/util.rb

296 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/time.rb

297 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/blank.rb

298 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/hash.rb

299 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/object.rb

300 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/string.rb

301 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/core_ext/pathname.rb

302 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/module.rb

303 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/array.rb
304 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ext/try_dup.rb

305 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/mash.rb

306 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/inflector/inflections.rb

307 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/inflector/methods.rb

308 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/inflections.rb

309 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/chainable.rb

310 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/deprecate.rb

311 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/descendant_set.rb

312 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/equalizer.rb

313 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/assertions.rb

314 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/lazy_array.rb

315 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/local_object_space.rb

316 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/hook.rb

317 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/subject.rb

318 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/ordered_set.rb

319 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/subject_set.rb

320 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query.rb

321 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query/conditions/operation.rb

322 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query/conditions/comparison.rb

323 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query/operator.rb

324 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query/direction.rb

325 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query/path.rb

326 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/query/sort.rb

327 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource.rb

328 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state.rb

329 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state/transient.rb

330 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state/immutable.rb

331 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state/persisted.rb

332 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state/clean.rb

333 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state/deleted.rb

334 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/resource/persistence_state/dirty.rb

335 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property.rb

336 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/typecast/numeric.rb

337 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/typecast/time.rb

338 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/object.rb

339 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/string.rb

340 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/binary.rb

341 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/text.rb

342 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/numeric.rb

343 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/float.rb

344 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/decimal.rb

345 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/boolean.rb

346 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/integer.rb

347 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/serial.rb

348 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/date.rb

349 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/date_time.rb

350 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/time.rb

351 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/class.rb

352 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/discriminator.rb

353 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property/lookup.rb

354 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/property_set.rb

355 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/model.rb

356 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/model/hook.rb

357 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/model/is.rb

358 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/model/scope.rb

359 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/model/relationship.rb

360 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/model/property.rb

361 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/collection.rb

362 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/relationship_set.rb

363 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/associations/relationship.rb

364 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/associations/one_to_many.rb

365 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/associations/one_to_one.rb

366 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/associations/many_to_one.rb

367 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/associations/many_to_many.rb

368 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/identity_map.rb

369 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/repository.rb

370 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/adapters.rb
371 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/adapters/abstract_adapter.rb

372 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/logger.rb

373 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/support/naming_conventions.rb

374 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/version.rb

375 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/core_ext/kernel.rb

376 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/core_ext/symbol.rb

377 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core/backwards.rb

378 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-core-1.2.0/lib/dm-core.rb

379 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/hash/except.rb

380

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/introspection.rb

381 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model/naming.rb

382 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-active_model-1.2.1/lib/dm-active_model.rb

383 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model/railtie.rb

384 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/configuration.rb

385 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/secure_random.rb

386 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/notifications/instrumenter.rb

387 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/railties/log_listener.rb

388 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/setup.rb

389 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/log_subscriber.rb

390 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/railties/log_subscriber.rb

391 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/railties/i18n_support.rb

392

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model/mass_assignment_security/sanitizer.

rb

393

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model/mass_assignment_security/permissi

on_set.rb

394 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activemodel-3.1.4/lib/active_model/mass_assignment_security.rb

395 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/mass_assignment_security.rb

396 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/multiparameter_attributes.rb

397 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/dm-rails-1.2.1/lib/dm-rails/railtie.rb

398 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/string_inquirer.rb

399 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionmailer-3.1.4/lib/action_mailer/version.rb

400 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/object/duplicable.rb

401

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/class/inheritable_attribut

es.rb

402

/Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/class/delegating_attribut

es.rb

403 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/module/reachable.rb

404 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/class/subclasses.rb

405 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/class.rb

406 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/activesupport-3.1.4/lib/active_support/core_ext/array/uniq_by.rb

407 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/actionmailer-3.1.4/lib/action_mailer.rb

408 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/ruby_core_support.rb

409 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/offset_rationals.rb

410 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/time_or_datetime.rb

411 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_definition.rb

412 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_offset_info.rb

413 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_transition_info.rb

414 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_index_definition.rb

415 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_info.rb

416 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/data_timezone_info.rb

417 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/linked_timezone_info.rb

418 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_period.rb

419 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone.rb

420 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/info_timezone.rb

421 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/data_timezone.rb

422 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/linked_timezone.rb

423 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/timezone_proxy.rb

424 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/country_index_definition.rb

425 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/country_info.rb

426 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/country.rb

427 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo/country_timezone.rb

428 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/tzinfo-0.3.33/lib/tzinfo.rb
429 /Users/Vidya/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/1.9.1/timeout.rb

430 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/rubyeventmachine.bundle

431 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/version.rb

432 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/deferrable.rb

433 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/future.rb

434 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/streamer.rb

435 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/spawnable.rb

436 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/processes.rb

437 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/buftok.rb

438 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/timers.rb

439 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/protocols.rb

440 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/connection.rb

441 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/callback.rb

442 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/queue.rb

443 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/channel.rb

444 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/file_watch.rb

445 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/em/process_watch.rb

446 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/eventmachine-0.12.10/lib/eventmachine.rb

447 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/thin-1.3.1/lib/thin/version.rb

448 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/thin-1.3.1/lib/thin/statuses.rb

449 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/thin-1.3.1/lib/rack/adapter/loader.rb

450 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/thin-1.3.1/lib/thin_parser.bundle

451 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/thin-1.3.1/lib/thin.rb

452 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/railties-3.1.4/lib/rails/engine/configuration.rb

453 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/jquery-rails-1.0.19/lib/jquery/rails/engine.rb

454 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/jquery-rails-1.0.19/lib/jquery/rails/version.rb

455 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/jquery-rails-1.0.19/lib/jquery/rails.rb

456 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/jquery-rails-1.0.19/lib/jquery-rails.rb

457 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/root.rb

458 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/util/subset_map.rb

459 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/util/multibyte_string_scanner.rb

460 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/util.rb

461 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/version.rb

462 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/logger/log_level.rb

463 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/logger/base.rb

464 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/logger.rb

465 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/cache_stores/base.rb

466 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/cache_stores/filesystem.rb

467 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/cache_stores/memory.rb

468 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/cache_stores/chain.rb

469 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/cache_stores.rb

470 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/node.rb

471 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/root_node.rb

472 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/rule_node.rb

473 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/comment_node.rb

474 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/prop_node.rb

475 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/directive_node.rb

476 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/media_node.rb

477 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/supports_node.rb

478 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/css_import_node.rb

479 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/variable_node.rb

480 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/mixin_def_node.rb

481 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/mixin_node.rb

482 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/trace_node.rb

483 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/content_node.rb

484 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/function_node.rb

485 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/return_node.rb

486 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/extend_node.rb

487 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/if_node.rb

488 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/while_node.rb

489 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/for_node.rb

490 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/each_node.rb

491 /Users/Vidya/.rvm/gems/ruby-1.9.3-p194@global/gems/sass-3.2.0.alpha.237/lib/sass/tree/debug_node.rb

492 /Users/Vidya/.r

06/13/2025 11/12



History

#1 - 05/14/2012 11:41 AM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

What openssl did you use?

openssl bundled with Mac OS X my cause SEGV.

see also http://www.christopherirish.com/2011/09/02/ruby-1-9-2-segmentation-fault-and-openssl/

#2 - 11/02/2012 08:05 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Rejected

Agreed with naruse-san.  Looks like os x's broken openssl issue.

Please try the workaround, and reopen this ticket if the issue still occurs.

See also #6217.

--

Yusuke Endoh mame@tsg.ne.jp
